
#include "MockMOTreeManager.h"

#include "Errors.h"

namespace NS_DM_Client
{
	StatusCode MockMOTreeManager::GetValue(const URI& uri, String& value, const char* serverId)
	{
		value = uri;
		return e_Ok;
	}
	//-------------------------------------------------------------------------------------------

	bool MockMOTreeManager::Init(const StringMap& settings, const String& loggerInstance, ProfileComponentsHolder& pch)
	{
		return true;
	}

	bool MockMOTreeManager::Start()
	{
		return true;
	}

	bool MockMOTreeManager::Stop()
	{
		return true;
	}

	void MockMOTreeManager::Release()
	{

	}
	//------------------------------------------------------------------------------------------------------
	StatusCode MockMOTreeManager::Get(const URI& uri, Funambol::Item& item, const char* serverId)
	{
		return e_Ok;
	}
	//-------------------------------------------------------------------------------------------

	StatusCode MockMOTreeManager::GetPropertyValue(const URI& uri, const String& property_name, String& value, const char* serverId)
	{
		return e_Ok;
	}

	StatusCode MockMOTreeManager::GetChildren(const URI& uri, ChildrenPaths& children, const char* serverId)
	{
		return e_Ok;
	}

	StatusCode MockMOTreeManager::GetAttributeStructData(const URI& uri, Funambol::ArrayList& items, const char* serverId)
	{
		return e_Ok;
	}

	StatusCode MockMOTreeManager::Add(const URI& uri, const Funambol::Item& item, const char* serverId, bool isUpdateRequired)
	{
		return e_Ok;
	}
	StatusCode MockMOTreeManager::Delete(const URI& uri, const char* serverId)
	{
		return e_Ok;
	}
	StatusCode MockMOTreeManager::Replace(const URI& uri, const Funambol::Item& item, const char* serverId, bool isUpdateRequired)
	{
		return e_Ok;
	}

	StatusCode MockMOTreeManager::ReplacePropertyValue(const URI& uri, const String& property_name, const String& new_value, const char* serverId)
	{
		return e_Ok;
	}

	StatusCode MockMOTreeManager::Copy(const URI& source, const URI& dest, const char* serverId)
	{
		return e_Ok;
	}

	StatusCode MockMOTreeManager::ExecPermitted(const URI& path, const char* serverId)
	{
		return e_Ok;
	}

	StatusCode MockMOTreeManager::StartTransaction()
	{
		return e_Ok;
	}
	StatusCode MockMOTreeManager::Rollback()
	{
		return e_Ok;
	}
	StatusCode MockMOTreeManager::Commit()
	{
		return e_Ok;
	}

	StatusCode MockMOTreeManager::SetPropertyValue(const URI& uri, const String& property_name, const String& value)
	{
		return e_Ok;
	}

}
